Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print.attribute.standard
Class JobImpressionsCompleted

    java.lang.Object
      |
      +--javax.print.attribute.IntegerSyntax
            |
            +--javax.print.attribute.standard.JobImpressionsCompleted

All Implemented Interfaces:
  Attribute, Cloneable, PrintJobAttribute, Serializable

public final class JobImpressionsCompleted
extends IntegerSyntax
implements PrintJobAttribute

Class JobImpressionsCompleted is an integer valued printing attribute class that specifies the number of impressions completed for the job so far. For printing devices, the impressions completed includes interpreting, marking, and stacking the output.

The JobImpressionsCompleted attribute describes the progress of the job. This attribute is intended to be a counter. That is, the JobImpressionsCompleted value for a job that has not started processing must be 0. When the job's `JobState` is PROCESSING or PROCESSING_STOPPED, the JobImpressionsCompleted value is intended to increase as the job is processed; it indicates the amount of the job that has been processed at the time the Print Job's attribute set is queried or at the time a print job event is reported. When the job enters the COMPLETED, CANCELED, or ABORTED states, the JobImpressionsCompleted value is the final value for the job.

IPP Compatibility: The integer value gives the IPP integer value. The category name returned by `getName()` gives the IPP attribute name.

See Also:
  `JobImpressions`, `JobImpressionsSupported`, `JobKOctetsProcessed`, `JobMediaSheetsCompleted`, Serialized Form

Constructor Summary
`JobImpressionsCompleted(int value)` Construct a new job impressions completed attribute with the given integer value.

Method Summary
`boolean` | `equals(Object object)` Returns whether this job impressions completed attribute is equivalent tp the passed in object.
`Class` | `getCategory()` Get the printing attribute class which is to be used as the "category" for this printing attribute value.
`String` | `getName()` Get the name of the category of which this attribute value is an instance.

Methods inherited from class javax.print.attribute.IntegerSyntax
`getValue, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobImpressionsCompleted

    public JobImpressionsCompleted(int value)

  Construct a new job impressions completed attribute with the given integer value.

Parameters:
  `value` - Integer value.
Throws:
  `IllegalArgumentException` - (Unchecked exception) Thrown if `value` is less than 0.

Method Detail

### equals

    public boolean equals(Object object)

  Returns whether this job impressions completed attribute is equivalent tp the passed in object. To be equivalent, all of the following conditions must be true:
  1. `object` is not null.
  2. `object` is an instance of class JobImpressionsCompleted.
  3. This job impressions completed attribute's value and `object`'s value are equal.

  Overrides:
    `equals` in class `IntegerSyntax`
  Parameters:
    `object` - Object to compare to.
  Returns:
    True if `object` is equivalent to this job impressions completed attribute, false otherwise.

### getCategory

    public final Class getCategory()

  Get the printing attribute class which is to be used as the "category" for this printing attribute value.

  For class JobImpressionsCompleted, the category is class JobImpressionsCompleted itself.

  Specified by:
    `getCategory` in interface `Attribute`
  Returns:
    Printing attribute class (category), an instance of class `java.lang.Class`.

### getName

    public final String getName()

  Get the name of the category of which this attribute value is an instance.

  For class JobImpressionsCompleted, the category name is `"job-impressions-completed"`.

  Specified by:
    `getName` in interface `Attribute`
  Returns:
    Attribute category name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.